Bug 998825 - [Find User to Add Dialog] Member should be selected when at least one of the roles are ticked
[Find User to Add Dialog] Member should be selected when at least one of the ...
Product: Zanata
Classification: Community
Component: Usability (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Alex Eng
Zanata-QA Mailling List
Depends On:
  Show dependency treegraph
Reported: 2013-08-20 03:41 EDT by Ding-Yi Chen
Modified: 2013-11-26 22:32 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-11-26 22:32:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2013-08-20 03:41:10 EDT
Description of problem:
In Language Team view, "Find Users To Add" dialog:
When at least one of the roles (Translator, Reviewer, Coordinator) are ticked, the operator expected that the members he/she touched are automatically selected and will be added after "Add Selected" is clicked.

Version-Release number of selected component (if applicable):
Zanata version 3.1-SNAPSHOT (20130820-1237)

How reproducible:

Steps to Reproduce:
1. Login as language coordinator 
2. Click languages -> LanguageYouCoordinate
3. Click Add Team Member
4. Enter username you want (assume it is USERNAME) to add in user search entry
5. Tick checkbox Translator for USERNAME
6. Click "Add Selected"

Actual results:
At Step 5, USERNAME is not selected.
At Step 6, USERNAME is not added as member.

Expected results:
At Step 5, USERNAME should be selected.
At Step 6, USERNAME should be added as member.

Additional info:
Comment 1 Sean Flanigan 2013-08-20 21:20:31 EDT
Additionally, I think we should automatically select the Translator checkbox when a user is selected.
Comment 2 Damian Jansen 2013-08-28 01:14:07 EDT
Verified at 6cffb1ba3ce14c4c5803c1e40556bd8d58a60363
Comment 3 Sean Flanigan 2013-11-26 22:32:09 EST
Closing VERIFIED bugs which predate Zanata 3.1.2.

Note You need to log in before you can comment on or make changes to this bug.